summaryrefslogtreecommitdiff
path: root/install-roswell.sh
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2018-06-13 21:36:56 -0700
committerBen Sima <ben@bsima.me>2018-06-13 21:36:56 -0700
commit77c9a177b2b595d4ce25095b58e2388fe33cc97a (patch)
tree0853d5c92d67538760005b9c4635a90115bd7ba4 /install-roswell.sh
init
Diffstat (limited to 'install-roswell.sh')
-rwxr-xr-xinstall-roswell.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/install-roswell.sh b/install-roswell.sh
new file mode 100755
index 0000000..40f6daa
--- /dev/null
+++ b/install-roswell.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+#
+# Dependencies:
+# - libcurl (both v3 and v4 should work) : used for downloading the lisp implimentation binaries etc.
+# - automake (required when building from the source)
+# - developmental headers of libcurl (required when building from the source)
+
+set -e
+set -x
+
+[ -d ~/cache ] && mkdir -p ~/cache
+git clone -b release https://github.com/snmsts/roswell.git ~/cache/roswell
+cd ~/cache/roswell
+sh bootstrap
+./configure
+make
+sudo make install